#!/usr/bin/python

import os, sys
from stat import *

rom = sys.argv[1]

romsize = os.stat(rom)[ST_SIZE]

padding = ((romsize + 4095) & ~4095) - romsize

if padding > 0:
	print "Padding \"" + rom + "\" with an extra " + `padding` + " bytes (" + `romsize` + " -> " + `(romsize+padding)` + " bytes)"
	fh = open(rom, 'a')
	fh.write('\0' * padding)
	fh.close()
else:
	print "No padding required"
